commit 35e7f5dc54c333d744a6b73d5668abddc085e0da
Author: Peter Benie <pjb1008@cam.ac.uk>
Date:   Thu Mar 14 15:56:07 2024 +0000

    Debug: fix transport-wait DB message.  Bug 3082

diff --git a/src/src/transport.c b/src/src/transport.c
index 5729f8e75..3609b78bb 100644
--- a/src/src/transport.c
+++ b/src/src/transport.c
@@ -1506,7 +1506,7 @@ open_db *dbm_file;
 if (!is_new_message_id(message_id))
   {
   DEBUG(D_transport) debug_printf("message_id %s is not new format; "
-    "skipping wait-%s database update\n", tpname);
+    "skipping wait-%s database update\n", message_id, tpname);
   return;
   }
 

